%define prerelease b584a329b193e206025682ae6c10cdbe03b0cd77
%define import_path github.com/mitchellh/iochan
%define gosrc %{gopath}/src/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:7})
Summary:	a Go library for treating io readers and writers like channels
Name:		golang-mitchellh-iochan
Version:	0.20130604
Release:	%mkrel 8
License:	MIT
Group:		Development/Other
Url:		https://%{import_path}
Source0:	https://%{import_path}/archive/%{prerelease}.tar.gz
Provides:	golang(%{import_path}) = %{version}-%{release}
# To get macros
BuildRequires:	golang
BuildArch:	noarch

%description
A go library for treating io readers and writers like channels. This is useful
when sometimes you wish to use io.Reader and such in select statements.

%prep
%setup -q -n iochan-%{prerelease}

%install
mkdir -p %{buildroot}%{gosrc}
cp -av * %{buildroot}%{gosrc}/
rm -f %{buildroot}%{gosrc}/README.md

%files
%doc README.md
%{gosrc}/*


%changelog
* Sun Jul 17 2016 pterjan <pterjan> 0.20130604-8.mga6
+ Revision: 1042335
- BuildRequires golang to get macros
- Make the package noarch, it only contains sources
- Use predefined gopath macro

* Thu Feb 11 2016 umeabot <umeabot> 0.20130604-6.mga6
+ Revision: 954176
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.20130604-5.mga6
+ Revision: 893494
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.20130604-4.mga5
+ Revision: 746286
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20130604-3.mga5
+ Revision: 679870
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.20130604-2.mga4
+ Revision: 559437
+ rebuild (emptylog)

* Fri Oct 25 2013 thatsamguy <thatsamguy> 0.20130604-1.mga4
+ Revision: 546842
- imported package golang-mitchellh-iochan

